(defpackage puzzle-system
  (:use :common-lisp :asdf
#+clisp :screen
#-clisp :cl-ncurses
))

(in-package :puzzle-system)

(defsystem "puzzle"
    :description "puzzle:  An interactive Sudoku game."
    :version "0.2"
    :author "Christopher Neufeld <sudokupuzzle@cneufeld.ca>"
    :licence "GPL"
    :components ((:file "generate")
		 (:file "printed-puzzles" :depends-on ("generate" "eval-difficulty"))
                 (:file "interactive" :depends-on ("generate" "eval-difficulty"))
                 (:file "eval-difficulty" :depends-on ("generate")))
    :depends-on (
                 #-clisp :cl-ncurses
                         ))
